Account/Login
Marine Customers
 

C-MAP MAX-N

Genuine C-MAP charts for your Lowrance, Simrad or B&G chartplotter.

C-MAP MAX-N is compatible with the following Lowrance, Simrad and B&G chartplotters and multi-function displays:

MAX-N media             

BRAND MODEL

Lowrance HDS Gen2 image

HDS Gen 1*

Minimum Software Version 4.1.36.68

HDS Gen 2

Minimum Software Version 2.0.45.135

HDS Gen 2 Touch

Minimum Software Version 2.0.45.135
New Software Version Available 2.5-45.1.138

Elite 7 HDI  

Minimum Software Version 1.8.0.22784

Elite 5 HDI**

Minimum Software Version 1.0.2.0.14

Elite 4 HDI**

Minimum Software Version 4.0.7

Simrad NSS image

NSS

Minimum Software Version 2.5-42.116.22312

NSE

Minimum Software Version 4.0-46.1.98

B&G Zeus image

Zeus Touch
Minimum Software Version 1.0-43.111

 

Insight Planner

Win 8, 7, Vista, XP SP3

* not compatible with insight store downloads – pre-programmed card from Jeppesen only

** Elite 5 HDI and Elite 4 HDI are new units and different from the Elite 5/4 that are already in the market. The Elite 5 HDI started shipping October 2013 and the Elite 4 was released December 2013. The older model Elite 5/4 are NOT compatible with MAX-N.

Check to make sure you have the latest software version with Lowrance, Simrad or B&G to guarantee full compatibility with C-MAP MAX-N.

Copyright © 2014 Jeppesen. All rights reserved. Site Map | Privacy Policy | Terms Of Use | Careers | Store | About Us | Blog | Contact Us | Find us on
Provide your Feedback

Do you want to take our survey and help us improve?

Yes No, thank you